Loading...
Searching...
No Matches
Segment Struct Reference

`#include <nanovdb/util/IO.h>`

## Public Member Functions

| Segment (Codec c=Codec::NONE)
template<typename BufferT>
void | add (const GridHandle< BufferT > &h)
bool | read (std::istream &is)
void | write (std::ostream &os) const
uint64_t | memUsage () const

## Public Attributes

Header | header
std::vector< GridMetaData > | meta

## Constructor & Destructor Documentation

## Segment()

Segment | ( | Codec | c = Codec::NONE | ) |

inline

## Member Function Documentation

## add()

template<typename BufferT>

void add | ( | const GridHandle< BufferT > & | h | ) |

inline

## memUsage()

uint64_t memUsage | ( |  | ) | const

inline

## read()

bool read | ( | std::istream & | is | ) |

inline

## write()

void write | ( | std::ostream & | os | ) | const

inline

## Member Data Documentation

## header

Header header

## meta

std::vector<GridMetaData> meta